Loading...
Searching...
No Matches
ScenePluginModel Class Reference

A model containing scene plugins that will build up the scene. More...

`#include <scenepluginmodel.h>`

Inheritance diagram for ScenePluginModel:

## Public Slots

void | addItem (Avogadro::QtGui::ScenePlugin *item)
void | removeItem (Avogadro::QtGui::ScenePlugin *item)
void | itemChanged ()

## Signals

void | pluginStateChanged (Avogadro::QtGui::ScenePlugin *)
void | pluginConfigChanged ()

## Public Member Functions

| ScenePluginModel (QObject *parent=nullptr)
QModelIndex | parent (const QModelIndex &child) const override
int | rowCount (const QModelIndex &parent) const override
int | columnCount (const QModelIndex &parent) const override
Qt::ItemFlags | flags (const QModelIndex &index) const override
bool | setData (const QModelIndex &index, const QVariant &value, int role) override
QVariant | data (const QModelIndex &index, int role) const override
QModelIndex | index (int row, int column, const QModelIndex &parent=QModelIndex()) const override
void | clear ()
QList< ScenePlugin * > | scenePlugins () const
QList< ScenePlugin * > | activeScenePlugins () const
ScenePlugin * | scenePlugin (const QModelIndex &index) const
ScenePlugin * | scenePlugin (int row) const

## Detailed Description

<avogadro/qtgui/scenepluginmodel.h>

Author
  Marcus D. Hanwell

The documentation for this class was generated from the following file:

- scenepluginmodel.h